StarFormatManagerInternal::FormatDef Struct Reference documentation

StarFormatManagerInternal::FormatDef Struct Reference

`#include <StarFormatManager.hxx>`

## Public Member Functions
| FormatDef ()
| constructor
| ~FormatDef ()
| destructor
void | updateState (StarState &state) const
| try to update the state
bool | send (STOFFListenerPtr listener, StarState &state) const
| try to send the data to a listener
void | printData (libstoff::DebugStream &o) const
| debug function to print the data

## Public Attributes
librevenge::RVNGString | m_names [2]
| the pool name, the read name
std::vector< StarWriterStruct::Attribute > | m_attributeList
| the attributes list
int | m_values [3]
| nDerived, nPoolId, nObjRef

## Constructor & Destructor Documentation

## ◆ FormatDef()

StarFormatManagerInternal::FormatDef::FormatDef | ( |  | ) |
| inline

constructor

## ◆ ~FormatDef()

StarFormatManagerInternal::FormatDef::~FormatDef | ( |  | ) |

destructor

## Member Function Documentation

## ◆ printData()

void StarFormatManagerInternal::FormatDef::printData | ( | libstoff::DebugStream & | o | ) | const

debug function to print the data

## ◆ send()

bool StarFormatManagerInternal::FormatDef::send | ( | STOFFListenerPtr | listener,
|  | StarState & | state ) const

try to send the data to a listener

## ◆ updateState()

void StarFormatManagerInternal::FormatDef::updateState | ( | StarState & | state | ) | const

try to update the state

## Member Data Documentation

## ◆ m_attributeList

std::vector<StarWriterStruct::Attribute> StarFormatManagerInternal::FormatDef::m_attributeList

the attributes list

Referenced by FormatDef(), send(), and updateState().

## ◆ m_names

librevenge::RVNGString StarFormatManagerInternal::FormatDef::m_names[2]

the pool name, the read name

Referenced by printData().

## ◆ m_values

int StarFormatManagerInternal::FormatDef::m_values[3]

nDerived, nPoolId, nObjRef

Referenced by FormatDef(), printData(), and send().

The documentation for this struct was generated from the following files:

- StarFormatManager.hxx
- StarFormatManager.cxx